org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class DescribeIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.DescribeIteration

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

      public class DescribeIteration
      extends LookAheadIteration<BindingSet,QueryEvaluationException>

  Iteration that implements a simplified version of Symmetric Concise Bounded Description (omitting reified statements).
  Author:
    Jeen Broekstra
  See Also:
    Concise Bounded Description - alternatives

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeIteration(Iteration<BindingSet,QueryEvaluationException> sourceIter, EvaluationStrategy strategy, Set<String> describeExprNames, BindingSet parentBindings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BindingSet` | `getNextElement()` Gets the next element.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### DescribeIteration

          public DescribeIteration(Iteration<BindingSet,QueryEvaluationException> sourceIter,
                                   EvaluationStrategy strategy,
                                   Set<String> describeExprNames,
                                   BindingSet parentBindings)

  - ### Method Detail

    - #### getNextElement

          protected BindingSet getNextElement()
                                       throws QueryEvaluationException

      Description copied from class: `LookAheadIteration`
      Gets the next element. Subclasses should implement this method so that it returns the next element.
      Specified by:
        `getNextElement` in class `LookAheadIteration<BindingSet,QueryEvaluationException>`
      Returns:
        The next element, or `null` if no more elements are available.
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.